Package com.opensymphony.module.sitemesh.factory

# Class FactoryException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.opensymphony.module.sitemesh.factory.FactoryException

All Implemented Interfaces:
  `Serializable`

public class FactoryException extends RuntimeException
This RuntimeException is thrown by the Factory if it cannot initialize or perform an appropriate function.

Version:
  $Revision: 1.2 $
Author:
  Joe Walnes
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Throwable`
`exception`

## Constructor Summary

Constructors
Constructor
Description
`FactoryException()`
`FactoryException(Exception e)`
`FactoryException(String msg)`
`FactoryException(String msg, Throwable e)`

## Method Summary

Modifier and Type
Method
Description
`Throwable`
`getRootCause()`
Get the original cause of the Exception.
`void`
`printStackTrace()`
`void`
`printStackTrace(PrintStream s)`
`void`
`printStackTrace(PrintWriter s)`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### exception

protected Throwable exception

## Constructor Details

### FactoryException

public FactoryException()

### FactoryException

public FactoryException(String msg)

### FactoryException

public FactoryException(Exception e)

### FactoryException

public FactoryException(String msg, Throwable e)

## Method Details

### getRootCause

public Throwable getRootCause()
Get the original cause of the Exception. Returns null if not known.

### printStackTrace

public void printStackTrace()

Overrides:
  `printStackTrace` in class `Throwable`

### printStackTrace

public void printStackTrace(PrintStream s)

Overrides:
  `printStackTrace` in class `Throwable`

### printStackTrace

public void printStackTrace(PrintWriter s)

Overrides:
  `printStackTrace` in class `Throwable`